// @flow

import React from 'react'

// use default Link is a
let _Link = ({ to, children, ...props }: {
  to: string,
  children?: any,
}) => (
  <a href={to} {...props}>{children}</a>
)

_Link.defaultProps = {
  children: null,
}

export function setLinkComponent(Link: any) {
  _Link = Link
}

export function getLinkComponent() {
  return _Link
}
