'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var defaultStyles = exports.defaultStyles = {
  root: 'flex items-center',
  icon: '',
  label: 'w4 tr pa1 b -blue',
  value: 'pa1'
};

var LabelValue = function LabelValue(_ref) {
  var icon = _ref.icon,
      label = _ref.label,
      value = _ref.value,
      className = _ref.className,
      theme = _ref.theme,
      props = _objectWithoutProperties(_ref, ['icon', 'label', 'value', 'className', 'theme']);

  return _react2.default.createElement(
    'div',
    _extends({
      className: (0, _classnames2.default)(theme.root, className)
    }, props),
    _react2.default.createElement(
      'div',
      { className: theme.label },
      !!icon && _react2.default.createElement(_Icon2.default, { key: 'icon', className: theme.icon, name: icon }),
      label
    ),
    _react2.default.createElement(
      'div',
      { className: theme.value },
      value
    )
  );
};

LabelValue.defaultProps = {
  className: undefined,
  icon: null,
  label: null
};

exports.default = (0, _reactCssThemr.themr)('LabelValue', {}, { composeTheme: 'softly' })(LabelValue);