'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * This component only use for preview storybook
 */

var Wrapper = function Wrapper(_ref) {
  var title = _ref.title,
      children = _ref.children,
      className = _ref.className;
  return _react2.default.createElement(
    'div',
    {
      'data-component': 'Wrapper',
      className: (0, _classnames2.default)('pa3 ba b--light-gray mb4', className)
    },
    _react2.default.createElement(
      'div',
      { className: 'pa2 mb3 tc ttu fw6' },
      title
    ),
    children
  );
};

Wrapper.defaultProps = {
  children: null,
  className: undefined
};

exports.default = Wrapper;